# Interface LinearAd

Represents a single linear ad, synonymous with a VAST `Ad` element with a single `Linear` creative. It may include any number of companion creatives, as well.

A linear ad is always contained within a linear ad roll (represented by LinearAdRoll).

interface LinearAd {
absoluteEndTime(): number;
absoluteStartTime(): number;
ad(): Record<string, unknown>;
adParameters(): string;
adSystem(): string;
adTitle(): string;
advertiser(): string;
clickThroughUrl(): string;
companionTrackingEvents(): CompanionAdTrackingEvents;
companions(): Record<string, unknown>[];
description(): string;
duration(): number;
error(): string;
isPending(): boolean;
isSlate(): boolean;
populate(ad): void;
primaryCreative(): Record<string, unknown>;
skipOffset(): number;
trackingEvents(): LinearAdTrackingEvents;
update(ad): LinearAd;
updateTiming(time): void;
}

#####
Index

### Methods

absoluteEndTime
absoluteStartTime
ad
adParameters
adSystem
adTitle
advertiser
clickThroughUrl
companionTrackingEvents
companions
description
duration
error
isPending
isSlate
populate
primaryCreative
skipOffset
trackingEvents
update
updateTiming

## Methods

### absoluteEndTime

- absoluteEndTime(): number

- #### Returns number

### absoluteStartTime

- absoluteStartTime(): number

- #### Returns number

### ad

- ad(): Record<string, unknown>

- #### Returns Record<string, unknown>

### adParameters

- adParameters(): string

- #### Returns string

### adSystem

- adSystem(): string

- #### Returns string

### adTitle

- adTitle(): string

- #### Returns string

### advertiser

- advertiser(): string

- #### Returns string

### clickThroughUrl

- clickThroughUrl(): string

- #### Returns string

### companionTrackingEvents

- companionTrackingEvents(): CompanionAdTrackingEvents

- #### Returns CompanionAdTrackingEvents

### companions

- companions(): Record<string, unknown>[]

- #### Returns Record<string, unknown>[]

### description

- description(): string

- #### Returns string

### duration

- duration(): number

- #### Returns number

### error

- error(): string

- #### Returns string

### isPending

- isPending(): boolean

- #### Returns boolean

### isSlate

- isSlate(): boolean

- #### Returns boolean

### populate

- populate(ad): void

- #### Parameters

  - ad: Record<string, unknown>

  #### Returns void

### primaryCreative

- primaryCreative(): Record<string, unknown>

- #### Returns Record<string, unknown>

### skipOffset

- skipOffset(): number

- #### Returns number

### trackingEvents

- trackingEvents(): LinearAdTrackingEvents

- #### Returns LinearAdTrackingEvents

### update

- update(ad): LinearAd

- #### Parameters

  - ad: Record<string, unknown>

  #### Returns LinearAd

### updateTiming

- updateTiming(time): void

- #### Parameters

  - time: number

  #### Returns void